import React from "react";
import { BlockProps } from "../victory-theme/victory-theme";
import { OriginType } from "../victory-label/victory-label";
export interface VictoryClipContainerProps {
    "aria-label"?: string;
    children?: React.ReactElement | React.ReactElement[];
    circleComponent?: React.ReactElement;
    className?: string;
    clipHeight?: number;
    clipId?: number | string;
    clipPadding?: BlockProps;
    clipPathComponent?: React.ReactElement;
    clipWidth?: number;
    events?: React.DOMAttributes<any>;
    groupComponent?: React.ReactElement;
    origin?: OriginType;
    polar?: boolean;
    radius?: number;
    rectComponent?: React.ReactElement;
    translateX?: number;
    translateY?: number;
}
interface VictoryClipContainerState {
    clipId?: number | string;
}
export declare class VictoryClipContainer extends React.Component<VictoryClipContainerProps, VictoryClipContainerState> {
    static displayName: string;
    static role: string;
    static defaultProps: {
        circleComponent: JSX.Element;
        rectComponent: JSX.Element;
        clipPathComponent: JSX.Element;
        groupComponent: JSX.Element;
    };
    clipId: VictoryClipContainerProps["clipId"];
    constructor(props: VictoryClipContainerProps);
    componentDidMount(): void;
    calculateAttributes(props: any): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    renderClippedGroup(props: any, clipId: any): React.DetailedReactHTMLElement<any, HTMLElement>;
    renderGroup(props: any): React.DetailedReactHTMLElement<any, HTMLElement>;
    renderClipComponent(props: any, clipId: any): React.DetailedReactHTMLElement<any, HTMLElement>;
    getClipValue(props: any, axis: any): any;
    getTranslateValue(props: any, axis: any): any;
    render(): React.DetailedReactHTMLElement<any, HTMLElement>;
}
export {};
//# sourceMappingURL=victory-clip-container.d.ts.map