"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Box: true
};
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _victoryPrimitives.Border;
  }
});
var _callbacks = require("./types/callbacks");
Object.keys(_callbacks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _callbacks[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _callbacks[key];
    }
  });
});
var _propTypes = require("./types/prop-types");
Object.keys(_propTypes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _propTypes[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _propTypes[key];
    }
  });
});
var _victoryAccessibleGroup = require("./victory-accessible-group/victory-accessible-group");
Object.keys(_victoryAccessibleGroup).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryAccessibleGroup[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryAccessibleGroup[key];
    }
  });
});
var _victoryAnimation = require("./victory-animation/victory-animation");
Object.keys(_victoryAnimation).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryAnimation[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryAnimation[key];
    }
  });
});
var _victoryContainer = require("./victory-container/victory-container");
Object.keys(_victoryContainer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryContainer[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryContainer[key];
    }
  });
});
var _victoryLabel = require("./victory-label/victory-label");
Object.keys(_victoryLabel).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryLabel[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryLabel[key];
    }
  });
});
var _victoryTransition = require("./victory-transition/victory-transition");
Object.keys(_victoryTransition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryTransition[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryTransition[key];
    }
  });
});
var _victoryClipContainer = require("./victory-clip-container/victory-clip-container");
Object.keys(_victoryClipContainer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryClipContainer[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryClipContainer[key];
    }
  });
});
var _types = require("./victory-theme/types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
var _victoryTheme = require("./victory-theme/victory-theme");
Object.keys(_victoryTheme).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryTheme[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryTheme[key];
    }
  });
});
var _portal = require("./victory-portal/portal");
Object.keys(_portal).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _portal[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _portal[key];
    }
  });
});
var _victoryPortal = require("./victory-portal/victory-portal");
Object.keys(_victoryPortal).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryPortal[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryPortal[key];
    }
  });
});
var _portalContext = require("./victory-portal/portal-context");
Object.keys(_portalContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _portalContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _portalContext[key];
    }
  });
});
var _portalOutlet = require("./victory-portal/portal-outlet");
Object.keys(_portalOutlet).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _portalOutlet[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _portalOutlet[key];
    }
  });
});
var _victoryPrimitives = require("./victory-primitives");
Object.keys(_victoryPrimitives).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryPrimitives[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryPrimitives[key];
    }
  });
});
var _victoryUtil = require("./victory-util");
Object.keys(_victoryUtil).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _victoryUtil[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _victoryUtil[key];
    }
  });
});