"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VictoryAccessibleGroup = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const VictoryAccessibleGroup = _ref => {
  let {
    desc,
    children,
    tabIndex,
    className = "VictoryAccessibleGroup",
    ...props
  } = _ref;
  const descId = desc && (props["aria-describedby"] || desc.split(" ").join("-"));
  return desc ? /*#__PURE__*/_react.default.createElement("g", {
    "aria-label": props["aria-label"],
    "aria-describedby": descId,
    className: className,
    tabIndex: tabIndex
  }, /*#__PURE__*/_react.default.createElement("desc", {
    id: descId
  }, desc), children) : /*#__PURE__*/_react.default.createElement("g", {
    "aria-label": props["aria-label"],
    "aria-describedby": props["aria-describedby"],
    className: className,
    tabIndex: tabIndex
  }, children);
};
exports.VictoryAccessibleGroup = VictoryAccessibleGroup;