import React from "react";
import { NumberOrCallback, StringOrCallback, StringOrNumberOrCallback } from "../types/callbacks";
import { ValueOrAccessor } from "../types/prop-types";
import { PaddingProps, VerticalAnchorType, VictoryLabelStyleObject } from "../victory-theme/victory-theme";
export type TextAnchorType = "start" | "middle" | "end" | "inherit";
export type OriginType = {
    x: number;
    y: number;
};
export type LabelOrientationType = "parallel" | "perpendicular" | "vertical";
export interface VictoryLabelProps {
    angle?: StringOrNumberOrCallback;
    ariaLabel?: StringOrCallback;
    backgroundComponent?: React.ReactElement;
    backgroundStyle?: VictoryLabelStyleObject | VictoryLabelStyleObject[];
    backgroundPadding?: PaddingProps | PaddingProps[];
    capHeight?: StringOrNumberOrCallback;
    children?: StringOrNumberOrCallback;
    className?: string;
    datum?: Record<string, any>;
    data?: any[];
    desc?: string;
    direction?: string;
    disableInlineStyles?: boolean;
    events?: React.DOMAttributes<any>;
    groupComponent?: React.ReactElement;
    id?: StringOrNumberOrCallback;
    inline?: boolean;
    labelPlacement?: LabelOrientationType;
    lineHeight?: StringOrNumberOrCallback | (string | number)[];
    origin?: OriginType;
    polar?: boolean;
    renderInPortal?: boolean;
    style?: VictoryLabelStyleObject | VictoryLabelStyleObject[];
    tabIndex?: NumberOrCallback;
    text?: string[] | StringOrNumberOrCallback;
    textComponent?: React.ReactElement;
    textAnchor?: ValueOrAccessor<TextAnchorType>;
    title?: string;
    transform?: ValueOrAccessor<string | object>;
    tspanComponent?: React.ReactElement;
    verticalAnchor?: ValueOrAccessor<VerticalAnchorType>;
    x?: number;
    y?: number;
    dx?: StringOrNumberOrCallback;
    dy?: StringOrNumberOrCallback;
}
declare const defaultStyles: {
    fill: string;
    fontSize: number;
    fontFamily: string;
    stroke: string;
};
export declare const VictoryLabel: {
    role: string;
    defaultStyles: typeof defaultStyles;
} & React.FC<VictoryLabelProps>;
export {};
//# sourceMappingURL=victory-label.d.ts.map