"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PortalOutlet = void 0;
var _react = _interopRequireDefault(require("react"));
var _portalContext = require("./portal-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const PortalOutlet = _ref => {
  let {
    as: portalComponent,
    ...props
  } = _ref;
  const portalContext = (0, _portalContext.usePortalContext)();
  if (!portalContext) {
    return null;
  }
  const children = Array.from(portalContext.children.values());
  return /*#__PURE__*/_react.default.cloneElement(portalComponent, props, children);
};
exports.PortalOutlet = PortalOutlet;