"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VictoryPortal = void 0;
var _react = _interopRequireWildcard(require("react"));
var _defaults = _interopRequireDefault(require("lodash/defaults"));
var _uniqueId = _interopRequireDefault(require("lodash/uniqueId"));
var Log = _interopRequireWildcard(require("../victory-util/log"));
var Helpers = _interopRequireWildcard(require("../victory-util/helpers"));
var _portalContext = require("./portal-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const defaultProps = {
  groupComponent: /*#__PURE__*/_react.default.createElement("g", null)
};
const VictoryPortal = initialProps => {
  const props = {
    ...defaultProps,
    ...initialProps
  };
  const [id] = (0, _react.useState)((0, _uniqueId.default)());
  const portalContext = (0, _portalContext.usePortalContext)();
  if (!portalContext) {
    const msg = "`renderInPortal` is not supported outside of `VictoryContainer`. " + "Component will be rendered in place";
    Log.warn(msg);
  }
  const children = Array.isArray(props.children) ? props.children[0] : props.children;
  const {
    groupComponent
  } = props;
  const childProps = children && children.props || {};
  const standardProps = childProps.groupComponent ? {
    groupComponent,
    standalone: false
  } : {};
  const newProps = (0, _defaults.default)(standardProps, childProps, Helpers.omit(props, ["children", "groupComponent"]), {
    key: childProps.key ?? id
  });
  const child = children && /*#__PURE__*/_react.default.cloneElement(children, newProps);
  _react.default.useEffect(() => {
    portalContext?.addChild(id, child);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [props.children]);
  _react.default.useEffect(() => {
    return () => portalContext?.removeChild(id);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  return portalContext ? null : child;
};
exports.VictoryPortal = VictoryPortal;
VictoryPortal.role = "portal";