import React from "react";
type Ref<T> = React.MutableRefObject<T> | React.LegacyRef<T> | undefined | null;
/**
 * Used to merge multiple React refs into a single callback ref.
 *
 * @example
 * ```tsx
 * <div ref={mergeRefs([ref, forwardedRef])} />
 * ```
 */
export declare function mergeRefs<T>(refs: Ref<T>[]): React.RefCallback<T>;
export {};
//# sourceMappingURL=merge-refs.d.ts.map