import React from "react";
import { VictoryCommonProps } from "./common-props";
import type { DomainPropType, ScaleXYPropType } from "../types/prop-types";
export declare function getParentSVG(evt: Pick<React.SyntheticEvent, "target"> & Partial<Pick<React.SyntheticEvent, "nativeEvent">>): SVGElement;
export declare function getSVGEventCoordinates(evt: React.SyntheticEvent, svg?: SVGElement): SVGCoordinateType;
export declare function getDomainCoordinates(props: Pick<VictoryCommonProps, "scale" | "horizontal">, domain?: DomainPropType): {
    x: number[];
    y: number[];
};
export declare function getDataCoordinates(props: any, scale: ScaleXYPropType, x: number, y: number): SVGCoordinateType;
export declare function getBounds(props: ComputedCommonProps): SVGCoordinateBounds;
export type SVGCoordinateType = {
    x: number;
    y: number;
};
export type SVGCoordinateBounds = {
    x: readonly [number, number];
    y: readonly [number, number];
};
type ComputedCommonProps = {
    scale: ScaleXYPropType;
    x1: number;
    x2: number;
    y1: number;
    y2: number;
    horizontal?: boolean;
};
export {};
//# sourceMappingURL=selection.d.ts.map