import { VictoryThemeDefinition } from "../victory-theme/victory-theme";
/**
 * Given an object with CSS/SVG transform definitions, return the string value
 * for use with the `transform` CSS property or SVG attribute. Note that we
 * can't always guarantee the order will match the author's intended order, so
 * authors should only use the object notation if they know that their transform
 * is commutative or that there is only one.
 * @param {Object} obj An object of transform definitions.
 * @returns {String} The generated transform string.
 */
export declare const toTransformString: (obj: any, ...more: any[]) => any;
/**
 * Given the name of a color scale, getColorScale will return an array
 * of 5 hex string values in that color scale. If no 'name' parameter
 * is given, it will return the Victory default grayscale.
 * @param {String} name The name of the color scale to return (optional).
 * @param {Object} theme The theme object to retrieve the color scale from (optional).
 * @returns {Array} An array of 5 hex string values composing a color scale.
 */
export declare function getColorScale(name?: string, theme?: VictoryThemeDefinition): string[];
//# sourceMappingURL=style.d.ts.map