"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getValueForAxis = getValueForAxis;
exports.hasValueForAxis = hasValueForAxis;
exports.isDate = isDate;
exports.isKeyValueObject = isKeyValueObject;
exports.isTuple = isTuple;
function hasValueForAxis(value, axis) {
  if (typeof value === "object" && value !== null) {
    return axis in value;
  }
  return false;
}
function isTuple(value) {
  return Array.isArray(value) && value.length === 2;
}
function getValueForAxis(value, axis) {
  if (hasValueForAxis(value, axis)) {
    return value[axis];
  }
  return value;
}
function isDate(value) {
  return value instanceof Date;
}
function isKeyValueObject(datum) {
  return typeof datum === "object" && !Array.isArray(datum) && !(datum instanceof Date);
}